Name:           morebin
Version:        2.3.4
Release:        2%{?dist}
Summary:        More for binary files
Group:          Development/Tools
Vendor:         Peter F. Peterson
Packager:       Peter F. Peterson <peterfpeterson@gmail.com>

License:        The MIT License
URL:            http://www.github.com/peterfpeterson/morebin
#Source0:        %{name}-%{version}.tar.gz
Source0:        http://www.github.com/peterfpeterson/morebin/releases/download/v%{version}/morebin-%{version}.tar.gz

BuildRequires:  boost-devel boost-static cmake >= 2.8.7 gcc-c++ git
Prefix:         /usr/local

%description


%prep
%setup -q


%build
%cmake %{?el6:-DBoost_NO_BOOST_CMAKE=ON}
%{!?make_build: %define make_build %{__make} %{?_smp_mflags}}
%make_build

%install
rm -rf $RPM_BUILD_ROOT
%make_install

%check
ctest

%files
%defattr(-,root,root,-)
%{_prefix}/bin/morebin
%doc
